[DestinationDirs]
DeleteInf=17
DeleteOtherInf=17,Other
DeleteAGOGODOS=30
DeleteAGOGOSYS=11

[AGGMF_Device]
Uninstall=DeleteInf, DeleteOtherInf, DeleteAGOGODOS, DeleteAGOGOSYS
UninstallReg=UninstallReg
DevInstall=DelSubDevs
DevUninstall=DelSubDevs

[DeleteInf]
maestro.inf
MSTROWT.INF

[DeleteOtherInf]
ESS Device Manager.inf
"ESS Technology, Inc.MAESTRO.INF"
"ESS Technology, Inc.SETUP.INF"

[DeleteAGOGODOS]
MAESTRO.COM
AECU.SYS

[DeleteAGOGOSYS]
es1968.vxd
es1968.drv
esmgr.vxd
mstrsbp.vxd
mstr401.vxd
mstr401.drv
esenum.vxd
plat2meg.dll
plat2meg.IMG
plat4meg.dll
plat4meg.IMG
m2strtup.exe

[UninstallReg]
HKLM,"SOFTWARE\Diamond Multimedia\Maestro Audio"

[DelSubDevs]
DevDelete=AGOGO\*PNPB02F  ; Gameport-Joystick
DevDelete=AGOGO\MPU401    ; Maestro MPU401 Devices
DevDelete=AGOGO\SBP&FM
DevDelete=AGOGO\SBP&FMNI  ; Maestro DOS Games/FM Devices
DevDelete=*PTA0000
DevDelete=*PTA0001
